package cn.iocoder.yudao.module.ocr.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * OCR 识别场景枚举
 */
@Getter
@AllArgsConstructor
public enum OcrSceneEnum {

    VEHICLE_LICENSE("vehicle_license", "行驶证识别"),
    DRIVER_LICENSE("driver_license", "驾驶证识别"),
    ID_CARD("id_card", "身份证识别"),
    BUSINESS_LICENSE("business_license", "营业执照识别"),
    ;

    /**
     * 场景编码
     */
    private final String code;

    /**
     * 场景名称
     */
    private final String name;

}
